Naar hoofdinhoud
absencecategories

Update an existing absence category.

PUT
/absencecategory/{absenceCategoryId}
X-API-Keystringheaderverplicht
absenceCategoryIdstringverplicht

The id of the absence category to perform the action on.

Body

application/json

AbsenceCategory object.

always_confirminteger

Whether absences of this category are always approved immediately. Returned as 1 (yes) or 0 (no).

always_confirm_user_groupsinteger[]

The IDs of the user groups for which absences of this category are always approved immediately when 'always_confirm_who' is 'user_groups'.

always_confirm_usersinteger[]

The IDs of the users for whom absences of this category are always approved immediately when 'always_confirm_who' is 'users'.

always_confirm_whostring

Who absences of this category are always approved immediately for, either 'all' (everyone), 'users' (specific users) or 'user_groups' (specific user groups).

codestringverplicht

The unique code of this absence category.

colorstring

The color of this absence category.

created_atstring

The date and time this absence category was created.

descriptionstring

The description of this absence category.

disable_addinteger

Whether requesting absences of this category is blocked within the period in advance set by 'disable_add_period'. Returned as 1 (yes) or 0 (no).

disable_add_periodstring

The period in advance in which requesting absences of this category is blocked when 'disable_add' is true, either 'week_amount_1' (one week), 'week_amount_2' (two weeks) or 'month' (one month).

idinteger

The ID of this absence category.

namestringverplicht

The name of this absence category.

sort_orderinteger

The sort order of this absence category.

special_leaveinteger

Whether this absence category is special leave, which is not deducted from the leave balance. Returned as 1 (yes) or 0 (no).

updated_atstring

The date and time this absence category was last updated.

Antwoord

application/json

Successful operation.

dataobject

The result message and the result data.

statusstring

The result status, success.